Data - Retrieve Alert Properties
Récupère les propriétés d’alerte de l’alerte spécifiée.
GET http://<Servername>/OperationsManager/data/alertInformation/{alertId}
Paramètres URI
| Nom | Dans | Obligatoire | Type | Description |
|---|---|---|---|---|
|
alert
|
path | True |
string |
ID d’alerte pour lequel le contexte doit être récupéré. |
Réponses
| Nom | Type | Description |
|---|---|---|
| 200 OK |
D’ACCORD. Les informations d’alerte ont été réessayées avec succès. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Exemples
RetrieveAlertInformation
Exemple de requête
GET http://<Servername>/OperationsManager/data/alertInformation/f50652d0-2317-44de-81a6-2c622b94d00a
Exemple de réponse
{
"alertHistoryResponses": [
{
"id": "f50652d0-2317-44de-81a6-2c622b94d00a",
"modifiedBy": "System",
"comments": "Alert Activated by the System.",
"timeModified": "2022-05-17T05:36:38.0200000Z"
}
],
"description": "The All Management Servers Pool has not reported availability since Tue, 17 May 2022 05:31:42 GMT. This adversely affects all availability calculation for the entire management group.",
"context": "",
"name": "All Management Servers Pool Unavailable.",
"ruleId": "86006a18-5f04-2002-a8a3-9cd37ab016e9",
"monitorId": null,
"isMonitorAlert": false
}
Définitions
| Nom | Description |
|---|---|
|
Alert |
|
|
Alert |
AlertDataResponse
| Nom | Type | Description |
|---|---|---|
| alertHistoryResponses |
Réponses à l’historique des alertes |
|
| context |
string |
Contexte de l’alerte. |
| description |
string |
Description de l’alerte |
| isMonitorAlert |
boolean |
est l’alerte générée par le moniteur |
| monitorId |
string |
ID du moniteur qui a généré l’alerte. |
| name |
string |
Nom de l’alerte |
| ruleId |
string |
ID de la règle qui a généré l’alerte. |
AlertHistoryResponse
| Nom | Type | Description |
|---|---|---|
| comments |
string |
Commentaires d’alerte |
| id |
string |
ID de l’alerte |
| modifiedBy |
string |
Alerte modifiée par |
| timeModified |
string |
L’alerte temporelle a été modifiée |